<template>
    <div id="nav">
       <router-link to="/"><h3 class="brand">Umer Khan</h3></router-link>

        <ul class="nav-links">
            <router-link to="/" class="nav-link">About</router-link>
            <router-link to="/portfolio" class="nav-link">Portfolio</router-link>
            <router-link to="/skill" class="nav-link">Skills</router-link>
            <router-link to="/contact" class="nav-link">Contact</router-link>
        </ul>

    </div>
</template>

<style lang="scss">

    #nav {
        padding: 10px 10px 10px 0;
        position: relative;
        background: #42413d;
        box-shadow: 0px 5px 5px #888888;

        a {
            padding: 10px;
            text-decoration: none;
            border-radius: 3px;
            font-weight: bold;
            margin-right: 15px;
        }

        .nav-links {
            position: absolute;
            right: 0;
            display: inline-block;
            padding-top: 17px;
        }

        .brand {
            font-family: 'Bad Script', cursive;
            text-transform: uppercase;
            font-size: 1.5rem;
            display: inline-block;
            padding-left: 50px;
            font-weight: lighter;
            cursor: pointer;
            color: beige;
            &:hover {
                color: #fed136;
            }
        }

        .nav-link {
            color: beige;
            &:hover {
                border: 1px solid transparent;
                background: beige;
                padding: 10px;
                color: #42413d;
            }
            &:active {
              border: 1px solid transparent;
              background: beige;
              padding: 10px;
              color: #42413d;
              }
            &:focus {
                border: 1px solid transparent;
                background: beige;
                padding: 10px;
                color: #42413d;
            }
        }
    }

</style>
